=== debian/changelog ===
transcode (0.5.3-1) unstable; urgency=low
  * New upstream release.
  * Fixed: could not build deb since we depended on Makefile before
    creating it via configure.
  * Fixed: removed --without-libmpeg3 from the configure line.  compile
    problem has apparently gone away with upgrade to libmpeg3 1.5

 -- David Sobon <bk@nerd.ca>  Wed, 27 Dec 2001 18:27:18 +0900
