=== debian/control ===
Source: transcode
Priority: optional
Maintainer: David Sobon <bk@nerd.ca>
Standards-Version: 3.1.1.1
Build-Depends: debhelper, libavifile0.6, libavifile0.6-dev, nasm, libglib1.2, libglib1.2-dev, libxaw6-dev | libxaw7-dev

Package: transcode
Architecture: any
Section: unknown
Depends: ${shlibs:Depends}
Description: linux video stream processing utility
 transcode is a text-console video stream processing tool. Decoding and
 encoding is done by loading shared library modules that are responsible
 for feeding transcode with raw RGB/PCM streams (import module) and
 encoding the frames (export module). It supports elementary video and
 audio frame transformations. Some example modules are included to
 enable import of MPEG program streams (VOB), Digital Video (DV), or
 YUV video and export modules for writing DivX ;-), OpenDivX, or
 uncompressed AVI files.
 .
 A set of tools is available to extract and decode the sources into
 raw video/audio streams for import and to enable post-processing of AVI
 files.
 .
 Written by Thomas streich <ostreich@theorie.physik.uni-goettingen.de>
